Index: boost/graph/detail/edge.hpp
===================================================================
--- boost/graph/detail/edge.hpp	(revision 51789)
+++ boost/graph/detail/edge.hpp	(working copy)
@@ -17,6 +17,8 @@
 #include <iosfwd>
 #endif
 
+#include <boost/functional/hash_fwd.hpp>
+
 namespace boost {
 
   namespace  detail {
@@ -94,6 +96,13 @@
     {
       return a.get_property() >= b.get_property();
     }
+    
+    template <class D, class V>
+    std::size_t hash_value(const detail::edge_desc_impl<D,V>& a)
+    {
+      boost::hash<typename detail::edge_desc_impl<D,V>::property_type*> hf;
+      return hf(a.get_property());
+    }
 
   } //namespace detail
   
